package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlySpecialServicePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlySpecialServiceRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlySpecialServiceSaveReqVO;

/**
 * 专护服务记录 Service
 */
public interface ElderlySpecialServiceService {

    Long create(ElderlySpecialServiceSaveReqVO createReqVO);

    void update(ElderlySpecialServiceSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlySpecialServiceRespVO get(Long id);

    PageResult<ElderlySpecialServiceRespVO> getPage(ElderlySpecialServicePageReqVO pageReqVO);
}

